<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from mbigint_size.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percentmbigint_size" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>mbigint_size</refname>
    <refpurpose>overloading  compatibility for size for mbigint</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>M:</term>
            <listitem><para> mbigint</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>opt :</term>
            <listitem><para> double or integer</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>p,n :</term>
            <listitem><para> integers</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
matrix size :
<itemizedlist>
<listitem><para> p= number of rows if opt='r' or 1(default)</para></listitem>
<listitem><para> n=number of columns if opt='c' or 2</para></listitem>
</itemizedlist>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
//
x=bigint('12345678')
y=bigint('-98765432')
M=[x y; x-y bigint(0)]
N=[M,M]
[p,n]=size(M) // = p=2,n=2
[p,n]=size(N) // = p=2,n=4
p=size(N,1) // = p=2,n=2
n=size(N,2) // = p=2,n=2

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="size">size</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
